Index: doc/FAQ
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/FAQ,v
retrieving revision 1.433
diff -c -r1.433 FAQ
*** doc/FAQ	27 Sep 2007 06:14:46 -0000	1.433
--- doc/FAQ	3 Oct 2007 23:43:08 -0000
***************
*** 423,432 ****
     
    3.5) Why do I get "Sorry, too many clients" when trying to connect?
    
!    You have reached the default limit is 100 database sessions. You need
!    to increase the postmaster's limit on how many concurrent backend
     processes it can start by changing the max_connections value in
!    postgresql.conf and restarting the postmaster.
     
    3.6) What is the upgrade process for PostgreSQL?
    
--- 423,432 ----
     
    3.5) Why do I get "Sorry, too many clients" when trying to connect?
    
!    You have reached the default limit of 100 database sessions. You need
!    to increase the server's limit on how many concurrent backend
     processes it can start by changing the max_connections value in
!    postgresql.conf and restarting the server.
     
    3.6) What is the upgrade process for PostgreSQL?
    
***************
*** 753,759 ****
    
     You probably have run out of virtual memory on your system, or your
     kernel has a low limit for certain resources. Try this before starting
!    postmaster:
      ulimit -d 262144
      limit datasize 256m
  
--- 753,759 ----
    
     You probably have run out of virtual memory on your system, or your
     kernel has a low limit for certain resources. Try this before starting
!    the server:
      ulimit -d 262144
      limit datasize 256m
  
Index: doc/FAQ_AIX
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/FAQ_AIX,v
retrieving revision 1.21
diff -c -r1.21 FAQ_AIX
*** doc/FAQ_AIX	6 Dec 2006 15:45:30 -0000	1.21
--- doc/FAQ_AIX	3 Oct 2007 23:43:10 -0000
***************
*** 301,307 ****
  ----------------------------
  
  The overall cause of all these problems is the default bittedness and
! memory model used by the postmaster process.
  
  By default, all binaries built on AIX are 32-bit.  This does not
  depend upon hardware type or kernel in use.  These 32-bit processes
--- 301,307 ----
  ----------------------------
  
  The overall cause of all these problems is the default bittedness and
! memory model used by the server process.
  
  By default, all binaries built on AIX are 32-bit.  This does not
  depend upon hardware type or kernel in use.  These 32-bit processes
***************
*** 327,336 ****
  build, but not run, 64-bit binaries.  
  
  If a 32-bit binary is desired, set LDR_CNTRL to "MAXDATA=0xn0000000",
! where 1 <= n <= 8, before starting the postmaster and try different
  values and postgresql.conf settings to find a configuration that works
  satisfactorily.  This use of LDR_CNTRL tells AIX that you want the
! postmaster to have $MAXDATA bytes set aside for the heap, allocated in
  256MB segments.
  
  When you find a workable configuration, ldedit can be used to modify
--- 327,336 ----
  build, but not run, 64-bit binaries.  
  
  If a 32-bit binary is desired, set LDR_CNTRL to "MAXDATA=0xn0000000",
! where 1 <= n <= 8, before starting the postgres server and try different
  values and postgresql.conf settings to find a configuration that works
  satisfactorily.  This use of LDR_CNTRL tells AIX that you want the
! server to have $MAXDATA bytes set aside for the heap, allocated in
  256MB segments.
  
  When you find a workable configuration, ldedit can be used to modify
Index: doc/FAQ_CYGWIN
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/FAQ_CYGWIN,v
retrieving revision 1.2
diff -c -r1.2 FAQ_CYGWIN
*** doc/FAQ_CYGWIN	15 Oct 2004 16:18:35 -0000	1.2
--- doc/FAQ_CYGWIN	3 Oct 2007 23:43:10 -0000
***************
*** 30,37 ****
  
      3a.  Start cygserver for shared memory support.  To do this,
           enter the command "/usr/sbin/cygserver &".  This program
!          needs to be running anytime you start the PostgreSQL server
!          (postmaster) or initialize a database (initdb).
  
      3b.  Use the initdb command to create a new database cluster.  An
           example command would be:
--- 30,37 ----
  
      3a.  Start cygserver for shared memory support.  To do this,
           enter the command "/usr/sbin/cygserver &".  This program
!          needs to be running anytime you start the Postgres server
!          or initialize a database (initdb).
  
      3b.  Use the initdb command to create a new database cluster.  An
           example command would be:
***************
*** 42,59 ****
           directory, will prompt for a superuser password and will
           set the default database encoding to LATIN1.
  
!     3c.  Start up the postmaster.  Use a command similar to the
           following:
  
!             postmaster -D /usr/local/pgsql/data
  
!          This will start the postmaster, and if successful you will
           see some initial log entries, and an entry "LOG: database
           system is ready".
  
  4.  You are now running a PostgreSQL server on your Windows machine.
  
! 5.  It is possible to install cygserver and the postmaster as
      Windows NT services.  For information on how to do this, please
      refer to the README document included with Cygwin PostgreSQL.  It
      is installed in the /usr/share/doc/Cygwin directory.
--- 42,59 ----
           directory, will prompt for a superuser password and will
           set the default database encoding to LATIN1.
  
!     3c.  Start up the Postgres server.  Use a command similar to the
           following:
  
!             postgres -D /usr/local/pgsql/data
  
!          This will start the server, and if successful you will
           see some initial log entries, and an entry "LOG: database
           system is ready".
  
  4.  You are now running a PostgreSQL server on your Windows machine.
  
! 5.  It is possible to install cygserver and the Postgres server as
      Windows NT services.  For information on how to do this, please
      refer to the README document included with Cygwin PostgreSQL.  It
      is installed in the /usr/share/doc/Cygwin directory.
Index: doc/FAQ_DEV
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/FAQ_DEV,v
retrieving revision 1.143
diff -c -r1.143 FAQ_DEV
*** doc/FAQ_DEV	26 Sep 2007 20:38:27 -0000	1.143
--- doc/FAQ_DEV	3 Oct 2007 23:43:15 -0000
***************
*** 428,434 ****
      4. A README.rpm-dist document that tries to adequately document both
         the differences between the RPM build and the WHY of the
         differences, as well as useful RPM environment operations (like,
!        using syslog, upgrading, getting postmaster to start at OS boot,
         etc);
      5. The spec file that throws it all together. This is not a trivial
         undertaking in a package of this size.
--- 428,434 ----
      4. A README.rpm-dist document that tries to adequately document both
         the differences between the RPM build and the WHY of the
         differences, as well as useful RPM environment operations (like,
!        using syslog, upgrading, getting the server to start at OS boot,
         etc);
      5. The spec file that throws it all together. This is not a trivial
         undertaking in a package of this size.
***************
*** 755,762 ****
  (gdb) call print(any_pointer)
      (gdb) call pprint(any_pointer)
  
!    The output appears in the postmaster log file, or on your screen if
!    you are running a backend directly without a postmaster.
     
    2.4) I just added a field to a structure. What else should I do?
    
--- 755,762 ----
  (gdb) call print(any_pointer)
      (gdb) call pprint(any_pointer)
  
!    The output appears in the server log file, or on your screen if
!    you are running a backend directly.
     
    2.4) I just added a field to a structure. What else should I do?
    
***************
*** 782,788 ****
     ereport() is used to send messages to the front-end, and optionally
     terminate the current query being processed. The first parameter is an
     ereport level of DEBUG (levels 1-5), LOG, INFO, NOTICE, ERROR, FATAL,
!    or PANIC. NOTICE prints on the user's terminal and the postmaster
     logs. INFO prints only to the user's terminal and LOG prints only to
     the server logs. (These can be changed from postgresql.conf.) ERROR
     prints in both places, and terminates the current query, never
--- 782,788 ----
     ereport() is used to send messages to the front-end, and optionally
     terminate the current query being processed. The first parameter is an
     ereport level of DEBUG (levels 1-5), LOG, INFO, NOTICE, ERROR, FATAL,
!    or PANIC. NOTICE prints on the user's terminal and to the server
     logs. INFO prints only to the user's terminal and LOG prints only to
     the server logs. (These can be changed from postgresql.conf.) ERROR
     prints in both places, and terminates the current query, never
***************
*** 811,817 ****
     assert()s monitor the progress of the backend and halt the program
     when something unexpected occurs.
     
!    The postmaster has a -d option that allows even more detailed
     information to be reported. The -d option takes a number that
     specifies the debug level. Be warned that high debug level values
     generate large log files.
--- 811,817 ----
     assert()s monitor the progress of the backend and halt the program
     when something unexpected occurs.
     
!    The postgres server has a -d option that allows even more detailed
     information to be reported. The -d option takes a number that
     specifies the debug level. Be warned that high debug level values
     generate large log files.
Index: doc/src/FAQ/FAQ.html
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/FAQ/FAQ.html,v
retrieving revision 1.389
diff -c -r1.389 FAQ.html
*** doc/src/FAQ/FAQ.html	27 Sep 2007 06:14:47 -0000	1.389
--- doc/src/FAQ/FAQ.html	3 Oct 2007 23:43:20 -0000
***************
*** 577,587 ****
      <H3 id="item3.5">3.5) Why do I get <I>"Sorry, too many
      clients"</I> when trying to connect?</H3>
  
!     <P>You have reached the default limit is 100 database sessions. You
!     need to increase the <I>postmaster</I>'s limit on how many
      concurrent backend processes it can start by changing the
      <I>max_connections</I> value in <I>postgresql.conf</I> and
!     restarting the <I>postmaster</I>.</P>
  
      <H3 id="item3.6">3.6) What is the upgrade process for PostgreSQL?</H3>
  
--- 577,587 ----
      <H3 id="item3.5">3.5) Why do I get <I>"Sorry, too many
      clients"</I> when trying to connect?</H3>
  
!     <P>You have reached the default limit of 100 database sessions. You
!     need to increase the server's limit on how many
      concurrent backend processes it can start by changing the
      <I>max_connections</I> value in <I>postgresql.conf</I> and
!     restarting the server.</P>
  
      <H3 id="item3.6">3.6) What is the upgrade process for PostgreSQL?</H3>
  
***************
*** 991,997 ****
  
      <P>You probably have run out of virtual memory on your system,
      or your kernel has a low limit for certain resources. Try this
!     before starting <I>postmaster</I>:</P>
  <PRE>
      ulimit -d 262144
      limit datasize 256m
--- 991,997 ----
  
      <P>You probably have run out of virtual memory on your system,
      or your kernel has a low limit for certain resources. Try this
!     before starting the server:</P>
  <PRE>
      ulimit -d 262144
      limit datasize 256m
Index: doc/src/FAQ/FAQ_DEV.html
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/FAQ/FAQ_DEV.html,v
retrieving revision 1.147
diff -c -r1.147 FAQ_DEV.html
*** doc/src/FAQ/FAQ_DEV.html	26 Sep 2007 20:38:28 -0000	1.147
--- doc/src/FAQ/FAQ_DEV.html	3 Oct 2007 23:43:25 -0000
***************
*** 939,945 ****
      (gdb) call pprint(any_pointer)
  </CODE>
  </PRE>
!     The output appears in the postmaster log file, or on your screen if
      you are running a backend directly without a postmaster. 
  
      <H3 id="item2.4">2.4) I just added a field to a structure.
--- 939,945 ----
      (gdb) call pprint(any_pointer)
  </CODE>
  </PRE>
!     The output appears in the server log file, or on your screen if
      you are running a backend directly without a postmaster. 
  
      <H3 id="item2.4">2.4) I just added a field to a structure.
***************
*** 972,978 ****
      parameter is an ereport level of <I>DEBUG</I> (levels 1-5),
      <I>LOG,</I> <I>INFO,</I> <I>NOTICE,</I> <I>ERROR,</I> <I>FATAL,</I>
      or <I>PANIC.</I> <I>NOTICE</I> prints on the user's terminal and
!     the postmaster logs. <I>INFO</I> prints only to the user's terminal
      and <I>LOG</I> prints only to the server logs. (These can be
      changed from <I>postgresql.conf.</I>) <I>ERROR</I> prints in both
      places, and terminates the current query, never returning from the
--- 972,978 ----
      parameter is an ereport level of <I>DEBUG</I> (levels 1-5),
      <I>LOG,</I> <I>INFO,</I> <I>NOTICE,</I> <I>ERROR,</I> <I>FATAL,</I>
      or <I>PANIC.</I> <I>NOTICE</I> prints on the user's terminal and
!     to the server logs. <I>INFO</I> prints only to the user's terminal
      and <I>LOG</I> prints only to the server logs. (These can be
      changed from <I>postgresql.conf.</I>) <I>ERROR</I> prints in both
      places, and terminates the current query, never returning from the
***************
*** 1004,1010 ****
      option, many <I>assert()</I>s monitor the progress of the
      backend and halt the program when something unexpected occurs.</P>
  
!     <P>The <I>postmaster</I> has a <I>-d</I> option that allows
      even more detailed information to be reported. The <I>-d</I>
      option takes a number that specifies the debug level. Be warned
      that high debug level values generate large log files.</P>
--- 1004,1010 ----
      option, many <I>assert()</I>s monitor the progress of the
      backend and halt the program when something unexpected occurs.</P>
  
!     <P>The postgres server has a <I>-d</I> option that allows
      even more detailed information to be reported. The <I>-d</I>
      option takes a number that specifies the debug level. Be warned
      that high debug level values generate large log files.</P>
